Обход ограничений безопасности и межсайтовый скриптинг в IBM WebSphere Portal

Дата публикации:
01.12.2009
Дата изменения:
01.12.2009
Всего просмотров:
1105
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IBM WebSphere Portal 6.x
Уязвимые версии: IBM WebSphere Portal версии до 6.1.0.3

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "People Picker Tag" в Websphere Portal Collaboration перед возвращением пользователю. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за неизвестной ошибки связанной с "XMLACCESS". Более детальная информация в настоящее время недоступна.

URL производителя: http://www-306.ibm.com/software/genservers/portal/

Решение: Установите последнюю версию 6.1.0.3 с сайта производителя.

Ссылки: http://www-01.ibm.com/support/docview.wss?uid=swg27014411

или введите имя

CAPTCHA